<?php

/*

Plugin Name: Simplebee Theme Settings

Description: Settings for the default GetSimple Theme: Simplebee

Version: 1.0

Author: Sitebee

Author URI: http://sitebee.co.uk

*/



# get correct id for plugin

$thisfile_simple=basename(__FILE__, ".php");

$simplebee_file=GSDATAOTHERPATH .'settings.xml';



# add in this plugin's language file

i18n_merge($thisfile_simple) || i18n_merge($thisfile_simple, 'en_US');



# register plugin

register_plugin(

	$thisfile_simple, # ID of plugin, should be filename minus php

	'SimpleBee Theme Options', # Title of plugin

	'1.0', # Version of plugin

	'Sitebee',# Author of plugin

	'http://sitebee.co.uk', # Author URL

	'Plugin required for additional SimpleBee theme functionality', # Plugin Description

	'theme', # Page type of plugin

	'simplebee_show' # Function that displays content

);



# hooks

add_action('theme-sidebar','createSideMenu',array($thisfile_simple, ('SimpleBee Settings'))); 





# get XML data

if (file_exists($simplebee_file)) {

	$x = getXML($simplebee_file);

	$facebook = $x->facebook;

	$twitter = $x->twitter;

	$linkedin = $x->linkedin;
	
	$youtube = $x->youtube;
	
	$vimeo = $x->vimeo;
	
	$analytic = $x->analytic;

} else {

	$facebook = '';

	$twitter = '';

	$linkedin = '';
	
	$youtube = '';
	
	$vimeo = '';
	
	$analytic = '';

}





function simplebee_show() {

	global $simplebee_file, $facebook, $twitter, $linkedin, $youtube, $vimeo, $analytic, $thisfile_simple;

	$success=null;$error=null;

	

	// submitted form

	if (isset($_POST['submit'])) {

		$facebook=null;	$twitter=null; $linkedin=null; $youtube=null; $vimeo=null; $analytic=null;

		

		# check to see if the URLs provided are valid

		if ($_POST['facebook'] != '') {

			if (validate_url($_POST['facebook'])) {

				$facebook = $_POST['facebook'];

			} else {

				$error .= i18n_r($thisfile_simple.'/FACEBOOK_ERROR').' ';

			}

		}

		

		if ($_POST['twitter'] != '') {

			if (validate_url($_POST['twitter'])) {

				$twitter = $_POST['twitter'];

			} else {

				$error .= i18n_r($thisfile_simple.'/TWITTER_ERROR').' ';

			}

		}

		

		if ($_POST['linkedin'] != '') {

			if (validate_url($_POST['linkedin'])) {

				$linkedin = $_POST['linkedin'];

			} else {

				$error .= i18n_r($thisfile_simple.'/LINKEDIN_ERROR').' ';

			}

		}

	if ($_POST['youtube'] != '') {

			if (validate_url($_POST['youtube'])) {

				$youtube = $_POST['youtube'];

			} else {

				$error .= i18n_r($thisfile_simple.'/YOUTUBE_ERROR').' ';

			}

		}
		
			if ($_POST['vimeo'] != '') {

			if (validate_url($_POST['vimeo'])) {

				$vimeo = $_POST['vimeo'];

			} else {

				$error .= i18n_r($thisfile_simple.'/VIMEO_ERROR').' ';

			}

		}
		
				if ($_POST['analytic'] != '') {

			if ( ($_POST['analytic'])) {

				$analytic = $_POST['analytic'];

			} else {

				$error .= i18n_r($thisfile_simple.'/ANALYTIC_ERROR').' ';

			}

		}
		

		# if there are no errors, dave data

		if (!$error) {

			$xml = @new SimpleXMLElement('<item></item>');

			$xml->addChild('facebook', $facebook);

			$xml->addChild('twitter', $twitter);

			$xml->addChild('linkedin', $linkedin);
			
			$xml->addChild('youtube', $youtube);
			
			$xml->addChild('vimeo', $vimeo);
			
			$xml->addChild('analytic', $analytic);

			

			if (! $xml->asXML($simplebee_file)) {

				$error = i18n_r('CHMOD_ERROR');

			} else {

				$x = getXML($simplebee_file);

				$facebook = $x->facebook;

				$twitter = $x->twitter;

				$linkedin = $x->linkedin;
				
				$youtube = $x->youtube;
				
				$youtube = $x->vimeo;
				
				$analytic = $x->analytic;

				$success = i18n_r('SETTINGS_UPDATED');

			}

		}

	}

	

	?>

	<h3>SimpleBee Theme Settings</h3>
    
<strong>Social Media</strong><br />
    <p>Adding your social media URL`s will activate an icon in the theme header.</p>

	

	<?php 

	if($success) { 

		echo '<p style="color:#669933;"><b>'. $success .'</b></p>';

	} 

	if($error) { 

		echo '<p style="color:#cc0000;"><b>'. $error .'</b></p>';

	}

	?>

	

	<form method="post" action="<?php	echo $_SERVER ['REQUEST_URI']?>">

		

	<p><label for="inn_facebook" >Facebook URL</label><input id="inn_facebook" name="facebook" class="text" value="<?php echo $facebook; ?>" type="url" /></p>

		<p><label for="inn_twitter" >Twitter URL</label><input id="inn_twitter" name="twitter" class="text" value="<?php echo $twitter; ?>" type="url" /></p>

		<p><label for="inn_linkedin" >Linkedin URL</label><input id="inn_linkedin" name="linkedin" class="text" value="<?php echo $linkedin; ?>" type="url" /></p>
        
        <p><label for="inn_youtube" >Youtube URL</label><input id="inn_youtube" name="youtube" class="text" value="<?php echo $youtube; ?>" type="url" /></p>
        
                <p><label for="inn_vimeo" >Vimeo URL</label><input id="inn_vimeo" name="vimeo" class="text" value="<?php echo $vimeo; ?>" type="url" /></p>

		

		<p><input type="submit" id="submit" class="submit" value="<?php i18n('BTN_SAVESETTINGS'); ?>" name="submit" /></p>



	
<br />

<hr />
<br />
<h3>Google Analytic`s Settings</h3>
<br />
<p>Add your Google Analytic`s account number only, (example: UA-XXXXX-Y )</p>

	<form method="post" action="<?php	echo $_SERVER ['REQUEST_URI']?>">

		

	<p><label for="inn_analytic" >Google Analytics Script</label><input id="inn_analytic" name="analytic" class="text" value="<?php echo $analytic; ?>" type="" /></p>





		

		<p><input type="submit" id="submit" class="submit" value="<?php i18n('BTN_SAVESETTINGS'); ?>" name="submit" /></p>

	</form>

	<?php

}

